/*
#
# **************************************************************
# *                  SIMUSOL PROYECT                           *
# *                                                            *
# *         Table extension for:                               *
# *         C++ Mathematical Expression Toolkit Library        *
# *         which is located in:                               *
# * URL: http://www.partow.net/programming/exprtk/index.html   *
# *                                                            *
# *   The extension was developed by                           *
# *   Diego.Saravia@gmail.com, 2016                            *
# *   and could be used in the same terms of the toolkit       *
# *   or every free license with copyleft needed.              *
# *   http://www.simusol.org                                   *
# **************************************************************
# This file is part of Table.
#
#    Table is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Table is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Table.  If not, see <http://www.gnu.org/licenses/>.*/

#define _GNU_SOURCE   // asprintf is not posix
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>

#include <malloc.h>

#include "simusol_table.h"

int finddir(char ** dir);


int main(void) {

    double result;
   
    char *dir;
    char *gdir1 =NULL;
      char *gdir2 =NULL;
    finddir(&dir);
    int error1= asprintf(&gdir1,"%sdata/test.txt",dir);
    if (error1<0){
               printf("ERROR ASPRINTF\n");
               exit(error1);
               }

    int error2=interpolate(gdir1,"UNO","DOS",550.,2, &result);
    if (error2 <0){
               printf("ERROR INTERPOLATE test.txt\n");
	       exit(error2);
               }
    printf("---RESULTADO %d, %g\n",2,result);

     int error3= asprintf(&gdir2,"%sdata/tabla1.txt",dir);
    if (error3<0){
               printf("ERROR ASPRINTF\n");
               exit(error3);
               }
    
    int error4=interpolate(gdir2,"TIEMPO","RADIACION",25550.,2, &result);
    if (error4 <0){
               printf("ERROR INTERPOLATE tabla1.txt\n");
	       exit(error4);
               }
    printf("---RESULTADO %d, %g\n",2,result);


    error2=interpolate(gdir1,"UNO","DOS",550.,2, &result);
    if (error2 <0){
               printf("ERROR INTERPOLATE test.txt\n");
	       exit(error2);
               }
    printf("---RESULTADO %d, %g\n",2,result);
     
	 //test();
	 
}




 // struct table *generictable; 
 
 // for (int i=0;i<tablelist.occupy;i++){

   /*    printf("\nNUEVA TABLA %s \n",tablelist.names[i]);
       //tablelist.pointers=malloc(sizeof(struct table));
       //tablelist.pointers[i]->numdatos=i;
       if ((tablelist.pointers[i]=(struct table *) malloc(sizeof(struct table)))==NULL){ // solo se carga una tabla en cada posicion del vector
	       fprintf(stderr,"OOM at \"%s\": %d exit code %d\n", __FILE__, __LINE__,OOM);
               exit(OOM);
               } 
   */
       
       //       generictable->numdatos=0; //mal

   /*
       generictable=tablelist.pointers[i];
       generictable->file=tablelist.names[i];
   
       //printf("NUEVA TABLA %s - %d \n",tablelist.names[i], tablelist.pointers[i]->numdatos);

        int error = load_table(generictable);


	//         for(int i = 0; i <  generictable->numeroslinok+1; i++) {
	//	      printf("%d: %s - %d \n",i,generictable->encabezados[i], generictable->numeroslinok+1);	      	 
        //          }
	
	//exit(0);
	//printf("IMPRIME TABLA\n");
	
        if (error!=0) {
              fprintf(stderr,"LT at \"%s\": %d exit code %d\n", __FILE__, __LINE__,LT);
              return LT;
	    }

       print_table (generictable);
	//printf("FINNNNNNNNNN2\n");

	*/
   // }

   //printf("FINNNNNNNNNN3\n");

   // struct view vista;
   //vista.nx=0;
   //vista.ny=1;
   //vista.table=1;
